package com.unis.sxzcl;

import android.content.Context;

import androidx.multidex.MultiDex;

import com.lzy.okgo.OkGo;
import com.lzy.okgo.model.HttpHeaders;
import com.unis.model.room.MyDB;
import com.xyxsbj.mylibrary.BaseApp;

import cn.jpush.android.api.JPushInterface;


/**
 * 包名: com.bskapp.bskapp
 * 类名: MyApp
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/7/9 0:02
 * 更新人:
 * 更新时间: 2020/7/9 0:02
 * 更新说明:
 * 版本号: 1.0
 */
public class MyApp extends BaseApp {


    @Override
    protected boolean isDebug() {
        return BuildConfig.DEBUG;
    }

    @Override
    protected String buglyAppId() {
        return "e50596a985";
    }

    @Override
    public void onCreate() {
        super.onCreate();
        MultiDex.install(this);

        //初始化全局请求头
        HttpHeaders headers = new HttpHeaders();
        // app类型
        headers.put("App", "Android");
        // app版本
        headers.put("AppVersion", BuildConfig.VERSION_NAME);
        OkGo.getInstance().init(this)
                .addCommonHeaders(headers);                       //全局公共参数

        //jpush_init_start
        JPushInterface.setDebugMode(true);    // 设置开启日志,发布时请关闭日志
        JPushInterface.init(this);            // 初始化 JPush
        //jpush_init_end

        MyDB.init(getApplicationContext());
    }

    @Override
    protected void attachBaseContext(Context base) {
        super.attachBaseContext(base);
        MultiDex.install(this);
    }


}
